- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Socket Member List

This is the complete list of members for Socket, including all inherited members.

addRef() const | ObjectImpl | `[virtual]`
cast(const Class &clazz) const =0 | Object | `[pure virtual]`
close() | Socket |
getClass() const | Object | `[virtual]`
getInetAddress() const | Socket |
getPort() const | Socket |
getStaticClass() | Object | `[static]`
instanceof(const Class &clazz) const =0 | Object | `[pure virtual]`
ObjectImpl() | ObjectImpl |
ref | ObjectImpl | `[mutable, protected]`
registerClass() | Object | `[static]`
releaseRef() const | ObjectImpl | `[virtual]`
Socket(InetAddressPtr &address, int port) | Socket |
Socket(apr_socket_t *socket, apr_pool_t *pool) | Socket |
write(ByteBuffer &) | Socket |
~Object() | Object | `[inline, virtual]`
~ObjectImpl() | ObjectImpl | `[virtual]`
~Socket() | Socket |